Home

# Class goog.testing.ContinuationTestCase.Step

Constructs a single step in a larger continuation test. Each step is similar to a typical TestCase test, except it may wait for an event or timeout to occur before running the test function.

extends goog.testing.TestCase.Test

Instance Method Summary
| `clearTimeout()` Clears the current timeout if it is active.
| `setTimeout(?Function func, number duration)` Starts a timeout for this step. Each step may have only one timeout active at a time.